﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace MenuSL
{
    public class MenuItemObject : ViewModelBase
    {
        public string Header { get; set; }
        public string IconURL { get; set; }
        private bool isHighlighted;

        /// <summary>
        /// Gets or sets MyProperty and notifies for changes
        /// </summary>
        public bool IsHighlighted
        {
            get
            {
                return this.isHighlighted;
            }

            set
            {
                if (this.isHighlighted != value)
                {
                    this.isHighlighted = value;
                    this.OnPropertyChanged(() => this.IsHighlighted);
                }
            }
        }
    }
}
